var MainChar = 'Happosai'; //our player's name
CreatePerson(MainChar, "happosai.rss", false); //Create our player
font = GetSystemFont();
font.setColorMask(CreateColor(255,255,255))

var GPS = {
	is: 0,	// tile index where I am standing on
	is_name:"", // tile name
	was:0,	// location previous loop
	was_name:"",
	region: 0,	// tile index of the top tile layer
	region_name:"", // tile name
	region_was:0,
	region_was_name:"",
	TileX_old:0,
	TileY_old:0,
	TileX:0,
	TileY:0,
	who: MainChar // attached person
	};

function game(){
	AttachInput(MainChar);
	AttachCamera(MainChar);
	SetPersonSpeedXY(MainChar,2,2); // must get around the map 
	SetRenderScript("drawStatus()");
	MapEngine("map.rmp", 60);
}

// You need to force update on each SetPersonLayer() and ChangeMap().
function drawStatus(force){
	with(GPS) {
	TileX = GetPersonX(who)>>4;
	TileY = GetPersonY(who)>>4;
	// if we are on another tile, then 
	if(TileX != TileX_old || TileY != TileY_old ||force){
	
		// check if we changed region
		region = GetTile(TileX, TileY, GetNumLayers()-1);
		if (region != region_was){
			region_name = GetTileName(region);
			changeregion(region_was,region,who,force);
			region_was = region;
			region_was_name = region_name;
		}
		is = GetTile(TileX, TileY, GetPersonLayer(who));
		// check if we changed terrain
		if(is != was){
			is_name = GetTileName(is);
			// yes, we changed zones, do a transition (i.e. animate a jump into the water)
			if(is_name != was_name){
				changeterrain(was_name,is_name,who,force);
				was_name = is_name;
			}
			was = is;
		}
	}
	font.drawText(5, 5, "Terrain "+is_name+" ("+is+")");
	font.drawText(5, 15, "Region "+region_name+" ("+region+")");
	}
}

// Change spriteset to reflect a new region, or change the chance of encounters
function changeterrain(was,is,who,force){
}

// Change properties to reflect a new region, or change the chance of encounters
function changeregion(was,is,who,force){
}